const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Alor',
    'Kabupaten Belu',
    'Kabupaten Ende',
    'Kabupaten Flores Timur',
    'Kabupaten Kupang',
    'Kabupaten Lembata',
    'Kabupaten Malaka',
    'Kabupaten Manggarai',
    'Kabupaten Manggarai Barat',
    'Kabupaten Manggarai Timur',
    'Kabupaten Nagekeo',
    'Kabupaten Ngada',
    'Kabupaten Rote Ndao',
    'Kabupaten Sabu Raijua',
    'Kabupaten Sikka',
    'Kabupaten Sumba Barat',
    'Kabupaten Sumba Barat Daya',
    'Kabupaten Sumba Tengah',
    'Kabupaten Sumba Timur',
    'Kabupaten Timor Tengah Selatan',
    'Kabupaten Timor Tengah Utara',
    'Kota Kupang'

    // 22
];

exports.seedNusaTenggaraTimurCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Nusa Tenggara Timur' },
    });

    if (!province) {
        console.error('❌ Province Nusa Tenggara Timur not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: {
                updatedAt: timeLocal.now().toDate()
            },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Nusa Tenggara Timur City seeded!.');
};